<?php
namespace App\Model\Interfaces;


use App\Model\Entities\Security\User;

interface IResource
{
    public function getId() : int;

    public function getState() : string ;

    public function getResourceTemplate() : ITemplate;

    public function getCreatedBy() : User;
}